export default {
    data() {
        return {
            typeOptions: [
                {
                    label: '精选推荐',
                    value: ''
                },
                {
                    label: '原创系列',
                    value: 'DEFAULT'
                },
                {
                    label: '数字盲盒',
                    value: 'BLIND_BOX'
                },
                {
                    label: '拍卖系列',
                    value: 'AUCTION'
                }
            ],
            picsTypes: [
                {
                    label: '视频',
                    value: 'video/mp4'
                }
            ]
        };
    },
    methods: {
        changeImgs(list = []) {
            return list.map(item => {
                if (item.type === 'video/mp4') {
                    return item.thumb;
                } else {
                    return item.url;
                }
            });
        },
        isVideo(info = {}) {
            return info.type === 'video/mp4';
        }
    }
};
